#pragma warning( disable : 4244 )

#include <string>
#include <iostream>

#include "viewer.h"
#include "scene.h"
#include "mesh.h"

int main(int argc, char **argv)
{
	// there should be one obj file given as command argument
	if (argc == 2)
	{
		CScene* pScene = CScene::getScene();
		std::string meshFilename = argv[1];
		
		CMesh* pMesh1 = pScene->addMesh(meshFilename);
	}
	else
	{
    CScene* pScene = CScene::getScene();
    CMesh* pMesh1 = pScene->addMesh(std::string("cube.obj"));
		std::cout << "Usage: viewer <.obj file name>" << std::endl
      << "Loading standard object." << std::endl;
	}

	// get the single viewer, init and loop
	CViewer* pViewer = CViewer::getViewer();  
	pViewer->initialize(argc, argv);
	pViewer->loop();

	return 0;
}