/******************************************************************************
 * shaderProgramDepth.cpp
 * implements the GLSL shader for shadow map construction
 * Copyright (C) 2010 Marc Gissler <gisslerm@informatik.uni-freiburg.de>
 ******************************************************************************/

#include "shaderProgramDepth.h"
#include "shader_depth.h"

CShaderProgramDepth::CShaderProgramDepth()
{
	// compile the shaders specified in the char strings
	if (!m_compileShader(m_vertexShader, GL_VERTEX_SHADER, shader_depth_vert)
		|| !m_compileShader(m_fragmentShader, GL_FRAGMENT_SHADER, shader_depth_frag)) 
	{
		printf("One of the depth shaders could not be compiled.\n");
		return;
	}

	// build a shader program using the just compiled vertex and fragment shaders
	if (!m_buildShaderProgram())
	{
		printf("Depth shader program could not be built.\n");
		return;
	}
}

CShaderProgramDepth::~CShaderProgramDepth()
{
}

void CShaderProgramDepth::use()
{
	// replace fixed-functionality pipeline with the shadow map shader
	glUseProgram(m_shaderProgram);
}
